Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: ungoogled-chromium 55.0.2883.95-1

Git Clone URL: https://aur-dev.archlinux.org/ungoogled-chromium.git (read-only)
Package Base: ungoogled-chromium
Description: Modifications to Google Chromium for removing Google integration and enhancing privacy, control, and transparency
Upstream URL: https://github.com/Eloston/ungoogled-chromium
Licenses: BSD
Provides: chromium
Submitter: ilikenwf
Maintainer: ilikenwf
Last Packager: ilikenwf
Votes: 12
Popularity: 6.697421
First Submitted: 2016-12-19 08:08
Last Updated: 2017-01-06 05:23

Dependencies (39)

Required by (24)

Sources (11)

Latest Comments

1 2 Next › Last »

seo.disparate commented on 2017-02-02 14:39

The build runs, but there are issues with the resulting package.

`/opt/ungoogled-chromium/chrome_sandbox should be /opt/ungoogled-chromium/chrome-sandbox`

and the permissions for that file is wrong (needs to be 4755).

Also, some of the files in the resulting package are owned by the user who built the package instead of root.

Appending the following to package fixes this:

```
msg2 "Ensuring packaged files are owned by root..."
chown -R root:root "$pkgdir"

msg2 "Fixing chromium-sandbox name and permissions..."
mv "$pkgdir/opt/$pkgname/chrome_sandbox" "$pkgdir/opt/$pkgname/chrome-sandbox"
chmod 4755 "$pkgdir/opt/$pkgname/chrome-sandbox"
```

aniketd commented on 2017-01-27 11:40

Fails to build.

aura >>= Building `ungoogled-chromium`...
aura >>= Well, building `ungoogled-chromium` failed.
aura >>= Dumping makepkg output in 3.. 2.. 1..
==> Making package: ungoogled-chromium 55.0.2883.95-1 (Fri Jan 27 17:07:29 IST 2017)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Cloning ungoogled-chromium git repo...
Cloning into bare repository '/var/cache/pacman/pkg/ungoogled-chromium8718/ungoogled-chromium/ungoogled-chromium'...
-> Found ungoogled-chromium.sh
-> Found ungoogled-chromium.desktop
-> Found ungoogled-chromium_16.png
-> Found ungoogled-chromium_22.png
-> Found ungoogled-chromium_24.png
-> Found ungoogled-chromium_32.png
-> Found ungoogled-chromium_48.png
-> Found ungoogled-chromium_64.png
-> Found ungoogled-chromium_128.png
-> Found ungoogled-chromium_256.png
==> Validating source files with md5sums...
ungoogled-chromium ... Skipped
ungoogled-chromium.sh ... Passed
ungoogled-chromium.desktop ... Passed
ungoogled-chromium_16.png ... Passed
ungoogled-chromium_22.png ... Passed
ungoogled-chromium_24.png ... Passed
ungoogled-chromium_32.png ... Passed
ungoogled-chromium_48.png ... Passed
ungoogled-chromium_64.png ... Passed
ungoogled-chromium_128.png ... Passed
ungoogled-chromium_256.png ... Passed
==> Extracting sources...
-> Creating working copy of ungoogled-chromium git repo...
Cloning into 'ungoogled-chromium'...
done.
==> Starting pkgver()...
==> Starting build()...
==> Building...this will take a while...
2017-01-27 17:07:37,696 - INFO: Initialized default console logging handler
2017-01-27 17:07:37,696 - INFO: Using builder LinuxStaticBuilder
2017-01-27 17:07:37,696 - INFO: Directory build does not exist. Creating...
2017-01-27 17:07:37,697 - INFO: Directory build/sandbox does not exist. Creating...
2017-01-27 17:07:37,697 - INFO: Directory build/downloads does not exist. Creating...
2017-01-27 17:07:37,697 - INFO: Directory build/path_overrides does not exist. Creating...
2017-01-27 17:07:37,697 - INFO: Setting up environment overrides...
2017-01-27 17:07:37,697 - INFO: Checking Python 2 command...
2017-01-27 17:07:37,697 - INFO: No Python 2 command specified; testing with 'python'
2017-01-27 17:07:37,715 - ERROR: Unsupported Python version '3.6.0'
==> ERROR: A failure occurred in build().
Aborting...

raininja commented on 2017-01-25 03:05

This won't run for me at all. . . what gives? it just core dumps and my stracing and installing stuff isn't helping. . . .
it seems to want libdbusmenu.mo in the en_us locale

kogone commented on 2017-01-22 15:02

deleted

mirwin commented on 2017-01-13 21:36

It seems that portions of this are python3 while calling for python2 causing syntax errors. I've edited my python-config to show version 2 and version 3 with varying results. Changing the version to 2 enabled me to get past the unsupported version error but resulted in a syntax error on line 50 of build.py as it's a python3 print function. I was planning to find a solution and be able to post it, but I'm far from a dev. I'd tried editing the pkgbuild to call for python2 or python3 directly as well for build.py with no success.

scadu commented on 2017-01-08 09:24

@fenuks
https://github.com/Eloston/ungoogled-chromium/issues/44#issuecomment-268689693

@ilikenwf
would it be possible to fix PKGBUILD?
See https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/chromium#n175

ilikenwf commented on 2017-01-07 20:05

(Fixed the issues reported a couple days ago, forgot to bump pkgrel)

fbis251 commented on 2017-01-05 14:38

@ilikenwf There is a bug in the ungoogled-chromium.install script. Line 16 is missing a quotation mark at the end of the line

mabysh commented on 2017-01-03 09:47

Greetings!
'harfbuzz-icu', 'ffmpeg', 'libxslt', 'minizip', 're2' packages required to build browser.
Perhaps they should be added as build dependencies.

fenuks commented on 2016-12-31 07:09

Hello,

can't run it with sandbox enabled, getting error:

[3020:3020:1231/080343:FATAL:zygote_host_impl_linux.cc(107)] No usable sandbox! Update your kernel or see https://chromium.9oo91esource.qjz9zk/chromium/src/+/master/docs/linux_suid_sandbox_development.md for more information on developing with the SUID sandbox. If you want to live dangerously and need an immediate workaround, you can try using --no-sandbox.

Tried to set SUID for chrome_sandbox binary, but without luck, still not working. No-sandbox switch does work.